MyGUI: MyGUI::ControllerEdgeHide Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ControllerEdgeHide Class Reference

`#include <MyGUI_ControllerEdgeHide.h>`

Inheritance diagram for MyGUI::ControllerEdgeHide:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerEdgeHide | RTTIBase
Public Types inherited from MyGUI::ControllerItem
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ControllerEdgeHide ()
virtual | ~ControllerEdgeHide ()
void | setTime (float _value)
void | setRemainPixels (int _value)
void | setShadowSize (int _value)
virtual bool | addTime (Widget *_widget, float _time)
virtual void | prepareItem (Widget *_widget)
virtual void | setProperty (const std::string &_key, const std::string &_value)
Public Member Functions inherited from MyGUI::ControllerItem
template<typename Type >
bool | isType () const
virtual | ~ControllerItem ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ControllerItem
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Data Fields inherited from MyGUI::ControllerItem
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

This controller used for hiding widgets near screen edges. Widget will start hiding(move out of screen) if it's near border and it and it's childrens don't have any focus. Hiding till only small part of widget be visible. Widget will move inside screen if it have any focus.

Definition at line 24 of file MyGUI_ControllerEdgeHide.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerEdgeHide::Base

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## ◆ RTTIBase

typedef ControllerEdgeHide MyGUI::ControllerEdgeHide::RTTIBase

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## Constructor & Destructor Documentation

## ◆ ControllerEdgeHide()

MyGUI::ControllerEdgeHide::ControllerEdgeHide | ( |  | ) |

Definition at line 21 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ ~ControllerEdgeHide()

MyGUI::ControllerEdgeHide::~ControllerEdgeHide | ( |  | ) |
| virtual

Definition at line 29 of file MyGUI_ControllerEdgeHide.cpp.

## Member Function Documentation

## ◆ addTime()

bool MyGUI::ControllerEdgeHide::addTime | ( | Widget * | _widget,
|  | float | _time
| ) |  |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 40 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ControllerEdgeHide::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ControllerEdgeHide::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ControllerItem.

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ControllerEdgeHide::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerEdgeHide::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ControllerItem.

Definition at line 27 of file MyGUI_ControllerEdgeHide.h.

## ◆ prepareItem()

void MyGUI::ControllerEdgeHide::prepareItem | ( | Widget * | _widget | ) |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 33 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ setProperty()

void MyGUI::ControllerEdgeHide::setProperty | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| virtual

Reimplemented from MyGUI::ControllerItem.

Definition at line 123 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ setRemainPixels()

void MyGUI::ControllerEdgeHide::setRemainPixels | ( | int | _value | ) |

Parameters

  _value | How many pixels you will see after full hide

Definition at line 170 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ setShadowSize()

void MyGUI::ControllerEdgeHide::setShadowSize | ( | int | _value | ) |

Parameters

  _value | Added to "remain pixels" when hiding left or top (for example used for windows with shadows)

Definition at line 175 of file MyGUI_ControllerEdgeHide.cpp.

## ◆ setTime()

void MyGUI::ControllerEdgeHide::setTime | ( | float | _value | ) |

Parameters

  _value | in which widget will be hidden or shown

Definition at line 165 of file MyGUI_ControllerEdgeHide.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ControllerEdgeHide.h
- MyGUI_ControllerEdgeHide.cpp